Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/6745/?format=api
{ "ob_id": 6745, "uuid": "704a8a960867395ef94935e4e994c1a2", "title": "QESDI: Ecosystem map", "abstract": "QUEST projects both used and produced an immense variety of global data sets that needed to be shared efficiently between the project teams. These global synthesis data sets are also a key part of QUEST's legacy, providing a powerful way of communicating the results of QUEST among and beyond the UK Earth System research community.\r\n\r\nThis dataset contains a map of a ecosystem.\r\n\r\nThis map depicts the 825 terrestrial ecoregions of the globe. Ecoregions are relatively large units of land contain ing distinct assemblages of natural communities and species, with boundaries that approximate the original extent of natural communities prior to major land-use change. This comprehensive, global map provides a useful framework for conducting biogeographical or macroecological research, for identifying areas of outstanding biodiversity and conse rvation priority, for assessing the representation and gaps in conservation efforts worldwide, and for communicating the global distribution of natural communities on earth.", "keywords": "QUEST, QESDI, ecosystems, map", "publicationState": "published", "dataPublishedTime": "2009-11-13T15:48:05", "doiPublishedTime": null, "updateFrequency": "", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/6746/?format=api", "dataPath": "/badc/quest/data/qesdi/wwf_ecosystem", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 2155915, "numberOfFiles": 2, "fileFormat": "Data are netCDF formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/4997/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/529/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/50512/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/51186/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/51187/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/89713/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/89714/?format=api" ], "dataLineage": "Data delivered to the BADC and converted to netcdf using IDL", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/4439/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/6747/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/6742/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28961/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28960/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28966/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28963/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28964/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28965/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/71780/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/28962/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": "https://api.catalogue.ceda.ac.uk/api/v2/composites/6749/?format=api", "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2543/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/missing_licence.pdf", "licenceClassifications": "unstated" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }